import styled from "styled-components";
export var MaskContainer = styled.div.withConfig({
    displayName: "Tour.styles__MaskContainer",
    componentId: "sc-d6b8d03d-0"
})([
    "z-index:",
    ";"
], function(param) {
    var zIndex = param.zIndex;
    return zIndex || 9000;
});
export var Mask = styled.div.withConfig({
    displayName: "Tour.styles__Mask",
    componentId: "sc-d6b8d03d-1"
})([
    "position:fixed;inset:0;pointer-events:all;"
]);
export var Highlight = styled.div.withConfig({
    displayName: "Tour.styles__Highlight",
    componentId: "sc-d6b8d03d-2"
})([
    "--private-mask-color:",
    ";position:fixed;background:transparent;border-radius:",
    ";box-shadow:0 0 0 9999px var(--private-mask-color);pointer-events:none;transition:all 0.3s cubic-bezier(0.4,0,0.2,1);"
], function(param) {
    var overlayColor = param.overlayColor;
    return "".concat(overlayColor || 'rgba(0, 0, 0, 0.45)');
}, function(param) {
    var borderRadius = param.borderRadius;
    return borderRadius !== null && borderRadius !== void 0 ? borderRadius : 0;
});
export var TourPortal = styled.div.withConfig({
    displayName: "Tour.styles__TourPortal",
    componentId: "sc-d6b8d03d-3"
})([
    "position:absolute;"
]);
